Bug 107026 - [SNB][WebGL] conformance/extensions/oes-texture-half-float.html INVALID_FRAMEBUFFER_OPERATION error
Summary: [SNB][WebGL] conformance/extensions/oes-texture-half-float.html INVALID_FRAME...
Status: RESOLVED MOVED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 18.0
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Intel 3D Bugs Mailing List
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-25 13:06 UTC by Leonardo
Modified: 2019-09-25 19:12 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
glxinfo (26.94 KB, text/plain)
2018-06-25 13:06 UTC, Leonardo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leonardo 2018-06-25 13:06:04 UTC
Created attachment 140319 [details]
glxinfo

https://www.khronos.org/registry/webgl/sdk/tests/webgl-conformance-tests.html

Using the WebGL 1.0.4 conformance test on my Sandybridge laptop.

conformance/extensions/oes-texture-half-float.html (Passed: 107/121 Failed: 14/121 in 683.0 ms)

    failed: getError expected: INVALID_OPERATION. Was INVALID_FRAMEBUFFER_OPERATION : IMPLEMENTATION_COLOR_READ_FORMAT should fail for incomplete framebuffers.
    failed: getError expected: INVALID_OPERATION. Was INVALID_FRAMEBUFFER_OPERATION : IMPLEMENTATION_COLOR_READ_TYPE should fail for incomplete framebuffers.
    failed: getError expected: INVALID_OPERATION. Was INVALID_FRAMEBUFFER_OPERATION : IMPLEMENTATION_COLOR_READ_FORMAT should fail for incomplete framebuffers.
    failed: getError expected: INVALID_OPERATION. Was INVALID_FRAMEBUFFER_OPERATION : IMPLEMENTATION_COLOR_READ_TYPE should fail for incomplete framebuffers.
    failed: getError expected: INVALID_OPERATION. Was INVALID_FRAMEBUFFER_OPERATION : IMPLEMENTATION_COLOR_READ_FORMAT should fail for incomplete framebuffers.
    failed: getError expected: INVALID_OPERATION. Was INVALID_FRAMEBUFFER_OPERATION : IMPLEMENTATION_COLOR_READ_TYPE should fail for incomplete framebuffers.
    failed: getError expected: NO_ERROR. Was INVALID_ENUM : readPixels should return NO_ERROR when reading FLOAT data.
    failed: Green channel should be 0.25 for FLOAT readPixels. Received: 0
    failed: Blue channel should be 0.5 for FLOAT readPixels. Received: 0
    failed: Alpha channel should be 0.75 for FLOAT readPixels. Received: 0
    failed: getError expected: NO_ERROR. Was INVALID_ENUM : readPixels should return NO_ERROR when reading FLOAT data.
    failed: Green channel should be 0.25 for FLOAT readPixels. Received: 0
    failed: Blue channel should be 0.5 for FLOAT readPixels. Received: 0
    failed: Alpha channel should be 1 for FLOAT readPixels. Received: 0

The other subtests are OK.

I'm using Mesa 1.8.1.1 on Firefox 60.0.2 Manjaro Linux (i've attached a complete glxinfo).
Comment 1 Tapani Pälli 2018-06-26 08:07:05 UTC
These tests pass fine on chrome, this is likely bug in Firefox.
Comment 2 Denis 2018-07-03 11:04:30 UTC
Agree with Tapani.

I checked latests released stable mesa version on ubuntu,

ubuntu 16.04
firefox 60.0.2 (latest)
chromium (66.0.3359.181)
mesa-version for FF (18.1.3 stable)
for Chromium (18.2.0 git-c7726fbfa5)

Results:

failed Mozzila (SNB, SKL)
passed Chromium (SNB, SKL)
_____
I would say that issue might be in FF browser.
Comment 3 GitLab Migration User 2019-09-25 19:12:02 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/mesa/mesa/issues/1734.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.